import React from 'react';
import { connect } from 'react-redux';

function Historique(props) {

  let rows = props.values.map((valeur,cpt) => {
    return(<tr key={cpt.toString()}><td>{valeur}</td></tr>);
  });
  //Affichage historique
  return(
    <table border="0">
      <tbody>
        {rows}
      </tbody>
    </table>
  );
}

class Affichage extends React.Component {

  affiTab(){

    let sensor = null;

    let url = this.props.url.substring(1);

    let name = "";

    for(let i=0; i<this.props.menu.length; i++){

      if(this.props.menu[i].url === url){
        name = this.props.menu[i].name;
        sensor = this.props.sensor[i].sensor;
      }
    }

    /**/

    if( sensor !== null ){

      var tmp = [];

	var history = sensor.history;

      return (
        <div>
          <h2>{name}</h2>
          <h3>{history[history.length-1]}</h3>
          <div>Historique:</div>
          <Historique head = {["Valeurs"]} values = {history} />
        </div>
      );

    }else{
      return <h2>Aucun capteur sélectionner</h2>
    }
  }

  render() {
    return (
      <article>
        {this.affiTab()}
      </article>
  );}
}

Affichage = connect(
    function mapStateToProps(state) {
        return {
          sensor: state.sensorReducer,
          menu: state.menuReducer
        }
    }
)(Affichage);

export default Affichage;
