class Sensor {

	constructor(name, value, type) {
		this._name = name;
		this._value = value;
		this._type = type;
		this._moy = value;
		this._cpt = 1;
		this._historique = [];
		this._historique.push(value);
		this._id = -1;

	}

	get name() { return this._name; }
	get value() { return this._value; }
	get type() {return this._type; }
	get moy() {return (this._historique/this._cpt); }
	get history() {return this._historique; }
	get id() {return this._id; }

	set value(value) {
		switch(this._type){
			case "TEMPERATURE":
				this._value=Math.round(this._value*100)/100;
				//Push de l'historique
				this._historique.push(this._value + ' C°');
				break;
			case "PERCENT":
				this._value=  Math.round(this._value*10000)/100;
				//Push de l'historique
				this._historique.push(this._value+ ' %');
				break;
			default:
				//Push de l'historique
				this._historique.push(this._value);
				break;
		}

		//Sauvegarde des valeurs
		if(this._historique.length > 4) {
			this._historique.splice(0,1);
		}

		this._value = '' + value;

		if(!isNaN(Number(this._value))) {
			this._moy += Number(value);
			this._cpt++;
		}
	}

	set id(id) {
		this._id = id;
	}
}

export default Sensor;
